

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>5.1. Server packages &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="5.2. HTTP" href="http.html" />
    <link rel="prev" title="5. Server" href="../server.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../ja/html/server/package.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="http.html" title="5.2. HTTP"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="../server.html" title="5. Server"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../server.html" accesskey="U"><span class="section-number">5. </span>Server</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">5.1. </span>Server packages</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="server-packages">
<h1><span class="section-number">5.1. </span>Server packages<a class="headerlink" href="#server-packages" title="Permalink to this headline">¶</a></h1>
<p>The package <code class="docutils literal notranslate"><span class="pre">groonga</span></code> is the minimum set of fulltext search engine.
If you want to use groonga for server use, you can install
additional preconfigured packages.</p>
<p>There are two packages for server use.</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> (nginx and HTTP protocol based server package)</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">groonga-server-gqtp</span></code> (<a class="reference internal" href="../spec/gqtp.html"><span class="doc">GQTP</span></a> protocol based server package)</p></li>
</ul>
<p>There is the reason why groonga supports not only GQTP but also two HTTP server
packages. <a class="reference internal" href="../spec/gqtp.html"><span class="doc">GQTP</span></a> - Groonga Query Transfer Protocol is desined to reduce overheads
and improve performance. But, GQTP is less support of client library than HTTP protocol does.
As HTTP is matured protocol, you can take advantage of existing tool and there are many client
library (See <a class="reference external" href="http://groonga.org/related-projects.html">related projects</a> for details).
If you use <code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> package, you can also take benefits of nginx functionality.</p>
<p>We recommend to use <code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> at first, because it provides fullfilling server functionality.
If you have performance issues which is derived from protocol overheads, consider to use <code class="docutils literal notranslate"><span class="pre">groonga-server-gqtp</span></code>.</p>
<blockquote>
<div><div class="admonition note">
<p class="admonition-title">Note</p>
<p>In the previous versions, there is a <code class="docutils literal notranslate"><span class="pre">groonga-server-http</span></code> package (simple HTTP protocol
based server package). It is now marked as obsolete, please use <code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> packages
instead. <code class="docutils literal notranslate"><span class="pre">groonga-server-http</span></code> package became a transitional package for <code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code>.</p>
</div>
</div></blockquote>
<div class="section" id="groonga-httpd">
<h2><span class="section-number">5.1.1. </span>groonga-httpd<a class="headerlink" href="#groonga-httpd" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> is a nginx and HTTP protocol based server package.</p>
<p>Preconfigured setting:</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 34%" />
<col style="width: 66%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Item</p></th>
<th class="head"><p>Default value</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Port number</p></td>
<td><p>10041</p></td>
</tr>
<tr class="row-odd"><td><p>Access log path</p></td>
<td><p>/var/log/groonga/httpd/acccess.log</p></td>
</tr>
<tr class="row-even"><td><p>Error log path</p></td>
<td><p>/var/log/groonga/http-query.log</p></td>
</tr>
<tr class="row-odd"><td><p>Database</p></td>
<td><p>/var/lib/groonga/db/*</p></td>
</tr>
<tr class="row-even"><td><p>Configuration file</p></td>
<td><p>/etc/groonga/httpd/groonga-httpd.conf</p></td>
</tr>
</tbody>
</table>
<div class="section" id="start-http-server">
<h3><span class="section-number">5.1.1.1. </span>Start HTTP server<a class="headerlink" href="#start-http-server" title="Permalink to this headline">¶</a></h3>
<p>Starting groonga HTTP server(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-httpd start
</pre></div>
</div>
<p>Starting groonga HTTP server(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl start groonga-httpd
</pre></div>
</div>
</div>
<div class="section" id="stop-http-server">
<h3><span class="section-number">5.1.1.2. </span>Stop HTTP server<a class="headerlink" href="#stop-http-server" title="Permalink to this headline">¶</a></h3>
<p>Stopping groonga HTTP server(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-httpd stop
</pre></div>
</div>
<p>Starting groonga HTTP server(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl stop groonga-httpd
</pre></div>
</div>
</div>
<div class="section" id="restart-http-server">
<h3><span class="section-number">5.1.1.3. </span>Restart HTTP server<a class="headerlink" href="#restart-http-server" title="Permalink to this headline">¶</a></h3>
<p>Restarting groonga HTTP server(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-httpd restart
</pre></div>
</div>
<p>Restarting groonga HTTP server(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl restart groonga-httpd
</pre></div>
</div>
</div>
</div>
<div class="section" id="groonga-server-gqtp">
<h2><span class="section-number">5.1.2. </span>groonga-server-gqtp<a class="headerlink" href="#groonga-server-gqtp" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">groonga-server-gqtp</span></code> is a <a class="reference internal" href="../spec/gqtp.html"><span class="doc">GQTP</span></a> protocol based server package.</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 34%" />
<col style="width: 66%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Item</p></th>
<th class="head"><p>Default value</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Port number</p></td>
<td><p>10043</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="../reference/log.html#process-log"><span class="std std-ref">Process log</span></a></p></td>
<td><p>/var/log/groonga/groonga-gqtp.log</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="../reference/log.html#query-log"><span class="std std-ref">Query log</span></a></p></td>
<td><p>/var/log/groonga/gqtp-query.log</p></td>
</tr>
<tr class="row-odd"><td><p>Database</p></td>
<td><p>/var/lib/groonga/db/*</p></td>
</tr>
</tbody>
</table>
<p>Configuration file for server setting (Debian/Ubuntu):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>/etc/default/groonga/groonga-server-gqtp
</pre></div>
</div>
<p>Configuration file for server setting (CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>/etc/sysconfig/groonga-server-gqtp
</pre></div>
</div>
<div class="section" id="start-gqtp-server">
<h3><span class="section-number">5.1.2.1. </span>Start GQTP server<a class="headerlink" href="#start-gqtp-server" title="Permalink to this headline">¶</a></h3>
<p>Starting groonga GQTP server(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-gqtp start
</pre></div>
</div>
<p>Starting groonga GQTP server(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl start groonga-server-gqtp
</pre></div>
</div>
</div>
<div class="section" id="stop-gqtp-server">
<h3><span class="section-number">5.1.2.2. </span>Stop GQTP server<a class="headerlink" href="#stop-gqtp-server" title="Permalink to this headline">¶</a></h3>
<p>Stopping groonga GQTP server(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-http stop
</pre></div>
</div>
<p>Stopping groonga GQTP server(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl stop groonga-server-gqtp
</pre></div>
</div>
</div>
<div class="section" id="restart-gqtp-server">
<h3><span class="section-number">5.1.2.3. </span>Restart GQTP server<a class="headerlink" href="#restart-gqtp-server" title="Permalink to this headline">¶</a></h3>
<p>Restarting groonga HTTP server(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-gqtp restart
</pre></div>
</div>
<p>Restarting groonga HTTP server(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl restart groonga-server-gqtp
</pre></div>
</div>
</div>
</div>
<div class="section" id="groonga-server-http">
<h2><span class="section-number">5.1.3. </span>groonga-server-http<a class="headerlink" href="#groonga-server-http" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">groonga-server-http</span></code> is a simple HTTP protocol based server package.</p>
<blockquote>
<div><div class="admonition note">
<p class="admonition-title">Note</p>
<p><code class="docutils literal notranslate"><span class="pre">groonga-server-http</span></code> package is the transitional package since Groonga 4.0.8.
Please use <code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> instead.</p>
</div>
</div></blockquote>
<p>Preconfigured setting:</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 34%" />
<col style="width: 66%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Item</p></th>
<th class="head"><p>Default value</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Port number</p></td>
<td><p>10041</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="../reference/log.html#process-log"><span class="std std-ref">Process log</span></a></p></td>
<td><p>/var/log/groonga/groonga-http.log</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="../reference/log.html#query-log"><span class="std std-ref">Query log</span></a></p></td>
<td><p>/var/log/groonga/http-query.log</p></td>
</tr>
<tr class="row-odd"><td><p>Database</p></td>
<td><p>/var/lib/groonga/db/*</p></td>
</tr>
</tbody>
</table>
<p>Configuration file for server setting (Debian/Ubuntu):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>/etc/default/groonga/groonga-server-http
</pre></div>
</div>
<p>Configuration file for server setting (CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>/etc/sysconfig/groonga-server-http
</pre></div>
</div>
<div class="section" id="id1">
<h3><span class="section-number">5.1.3.1. </span>Start HTTP server<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h3>
<p>Starting groonga HTTP server(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-http start
</pre></div>
</div>
<p>Starting groonga HTTP server(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl start groonga-server-http
</pre></div>
</div>
</div>
<div class="section" id="id2">
<h3><span class="section-number">5.1.3.2. </span>Stop HTTP server<a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h3>
<p>Stopping groonga HTTP server(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-http stop
</pre></div>
</div>
<p>Stopping groonga HTTP server(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl stop groonga-server-http
</pre></div>
</div>
</div>
<div class="section" id="id3">
<h3><span class="section-number">5.1.3.3. </span>Restart HTTP server<a class="headerlink" href="#id3" title="Permalink to this headline">¶</a></h3>
<p>Restarting groonga HTTP server(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-http restart
</pre></div>
</div>
<p>Restarting groonga HTTP server(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl restart groonga-server-http
</pre></div>
</div>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">5.1. Server packages</a><ul>
<li><a class="reference internal" href="#groonga-httpd">5.1.1. groonga-httpd</a><ul>
<li><a class="reference internal" href="#start-http-server">5.1.1.1. Start HTTP server</a></li>
<li><a class="reference internal" href="#stop-http-server">5.1.1.2. Stop HTTP server</a></li>
<li><a class="reference internal" href="#restart-http-server">5.1.1.3. Restart HTTP server</a></li>
</ul>
</li>
<li><a class="reference internal" href="#groonga-server-gqtp">5.1.2. groonga-server-gqtp</a><ul>
<li><a class="reference internal" href="#start-gqtp-server">5.1.2.1. Start GQTP server</a></li>
<li><a class="reference internal" href="#stop-gqtp-server">5.1.2.2. Stop GQTP server</a></li>
<li><a class="reference internal" href="#restart-gqtp-server">5.1.2.3. Restart GQTP server</a></li>
</ul>
</li>
<li><a class="reference internal" href="#groonga-server-http">5.1.3. groonga-server-http</a><ul>
<li><a class="reference internal" href="#id1">5.1.3.1. Start HTTP server</a></li>
<li><a class="reference internal" href="#id2">5.1.3.2. Stop HTTP server</a></li>
<li><a class="reference internal" href="#id3">5.1.3.3. Restart HTTP server</a></li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="../server.html"
                        title="previous chapter"><span class="section-number">5. </span>Server</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="http.html"
                        title="next chapter"><span class="section-number">5.2. </span>HTTP</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="http.html" title="5.2. HTTP"
             >next</a> |</li>
        <li class="right" >
          <a href="../server.html" title="5. Server"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../server.html" ><span class="section-number">5. </span>Server</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">5.1. </span>Server packages</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>